classification
Title: Patch to add "remove" method to tempfile.NamedTemporaryFile
Type: enhancement Stage: patch review
Components: Library (Lib) Versions: Python 3.2
process
Status: closed Resolution: rejected
Dependencies: Superseder:
Assigned To: Nosy List: BreamoreBoy, brian.curtin, ezio.melotti, pitrou, tebeka
Priority: normal Keywords: needs review, patch

Created on 2009-04-24 00:15 by tebeka, last changed 2010-08-08 09:35 by BreamoreBoy. This issue is now closed.

Files
File name Uploaded Description Edit
tempfile.diff tebeka, 2009-04-24 00:15 Path file
Messages (5)
msg86387 - (view) Author: Miki Tebeka (tebeka) * Date: 2009-04-24 00:15
Adding "remove" method to NamedTemporaryFile will reduce the need to
import os.unlink when creating a NamedTemporaryFile with delete=False.
msg97813 - (view) Author: Brian Curtin (brian.curtin) * (Python committer) Date: 2010-01-15 14:50
You should use assertFalse in your test, as failIf is deprecated starting in 2.7.
msg97817 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2010-01-15 15:40
What is the point besides to "reduce the need to import os.unlink", which sounds a bit futile to me?
msg111185 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2010-07-22 15:50
Can be closed unless someone can justify this change.
msg113242 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2010-08-08 09:35
Closing as no response to msg111185.
History
Date User Action Args
2010-08-08 09:35:00BreamoreBoysetstatus: pending -> closed
resolution: rejected
messages: + msg113242
2010-07-22 15:50:40BreamoreBoysetstatus: open -> pending
versions: + Python 3.2, - Python 2.7
nosy: + BreamoreBoy

messages: + msg111185
2010-01-15 15:40:49pitrousetnosy: + pitrou
messages: + msg97817
2010-01-15 14:50:38brian.curtinsetnosy: + brian.curtin
messages: + msg97813
2010-01-15 12:22:13ezio.melottisetpriority: normal
nosy: + ezio.melotti

keywords: + needs review
stage: patch review
2009-04-24 00:16:00tebekacreate